* {
    box-sizing: border-box;
}

.container{
    height: 100vh;
    width: 100vw;
    background: rgb(250, 250, 250);
}
.wrapper {
    position: relative;
    margin: 0 auto;
    padding-left: 110px;
    width: 80%;
    min-width: 1000px;
    max-width: 1500px;
    height: auto;
}

.header {
    width: 100%;
    height: 300px;
    background: url('src/assets/headerImgConv.jpeg');
    background-position: center;
    background-size: cover;
    transform: scale(1.03);
    filter: blur(5px);
}

.header-text {
    position: absolute;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0, 0.4);
    color: white;
    font-weight: bold;
    border: 3px solid #f1f1f1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    width: 80%;
    padding: 20px;
    text-align: center;
}

.header-main {
    position: relative;
    overflow: hidden;
}

.bottom {
    position: relative;
    display: flex;
    flex-direction: row;
}


.conversations{
    position: relative;
    width: 75%;
    padding: 10px;
    background-color: rgb(248, 248, 248);
    height: 600px;
}

.conversations-header{
    font-size: 18px;
    font-weight: 300;
    margin: 25px;
    border-bottom: 2px solid #ddd;
    padding-bottom: 10px;
    color: rgb(97, 156, 150);
}

.conversations span{
    padding-bottom: 10px;
    border-bottom: 2px solid  rgb(143,212,210);
}

.messages-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding: 25px;
}

.conversations-message{
    height: 80%;
    max-height: 80%;
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: scroll;
    overflow-x: hidden;
}


.new-message-container{
    align-self: flex-end;
    position: relative;
    width: 100%;
    padding: 5px;
}

input::placeholder{
    color: #3c6a8536;
    z-index: 10;
}

.message-input{
    outline: none;
    z-index: 10;
    width: 80%;
    padding: 7px;
    padding-left: 15px;
    border: none;
    border-radius: 20px;
    background:  #72a7e47a;
    font-size: 14px;
    transition: 0.2s;
}

.message-input:hover{
    background: #72a7e4b4;
    transition: 0.2s;
}

.message-input:focus{
    background: #72a7e4b4;
}

.btn-message {
    position: relative;
    bottom: 0px;
    cursor: pointer;
    color: #FFFFFF;
    outline: none;
    z-index: 10;
    width: 15%;
    padding: 7px;
    border: none;
    border-radius: 20px;
    background:  #1B2440;
    font-size: 14px;
    transition: 0.2s;
    margin-left: 20px;
}

.btn-message:hover{
    background: #5BC0BE;
    transition: 0.2s;
}

.last-conversations {
    position: relative;
    display: flex;
    flex-direction: column;
    color: #e9e9e9e0;
    width: 25%;
    max-height: 600px;
    background: rgb(143,212,210);
    background: linear-gradient(180deg, rgba(143,212,210,1) 0%, rgba(111,255,233,1) 100%);
}

.recent-conversations{
    position: relative;
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    height: auto;
}

.conversation-item{
    position: relative;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 100%;
    padding: 10px;
    height: 60px;
    background: #72a7e47a;
    transition: 0.2s;
    border-bottom: 1px solid #72a7e4b7;
}

.conversation-item:hover {
    background: #72a7e4b4;
    transition: 0.2s;
}

.conversation-title {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    padding: 0px 10px 5px 10px;
}

.last-message{
    font-size: 14px;
    position: relative;
    width: 100%;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    padding: 0px 10px 5px 10px;
}

.data-last-message {
    position: relative;
    top: 0;
    left: 0;
    padding: 0px 10px;
    font-size: 10px;
    color: #ffffff65;
}

.new-conversation{
    position: relative;
    width: 100%;
    padding: 10px;
    display: flex;
    flex-direction: column;
    background: rgba(119, 158, 174, 0.425);
}

.new-conv-message-inputs{
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
}

.new-conv-message-input{
    position: relative;
    width: 100%;
    margin-bottom: 10px;
    transition: 0.1s;
}

.new-conv-message-input:first-of-type{
    margin-top: 10px;
}

.closed-input{
    transition: 0.1s;
    opacity: 0;
}

.new-conv-message-btn{
    box-sizing: border-box;
    position: relative;
    cursor: pointer;
    color: #FFFFFF;
    outline: none;
    z-index: 10;
    width: 100%;
    padding: 7px;
    padding-left: 15px;
    border: none;
    border-radius: 20px;
    background:  #1B2440;
    font-size: 14px;
    transition: 0.2s;
}

.new-conv-message-btn:hover{
    background: #5BC0BE;
    transition: 0.2s;
}

.new-conv-message-title,
.last-conversation-title {
    display: flex;
    justify-content: center;
    padding-bottom: 6px;
    font-size: 18px;
    color: rgb(97, 156, 150);
}

.new-conv-message-title{
    cursor: pointer;
}

.last-conversation-title{
    padding-top: 10px;
}

